pub struct TradeRecord {Show 13 fields
pub id: String,
pub orderno: Option<String>,
pub comment: Option<String>,
pub symbol: String,
pub exchange: Option<String>,
pub date: Option<String>,
pub board: Option<String>,
pub qty_units: Option<Decimal>,
pub qty: Option<Decimal>,
pub price: Decimal,
pub side: Option<String>,
pub commission: Option<Decimal>,
pub existing: Option<bool>,
}Expand description
A trade of the portfolio (a fill of one of its orders): the item of
GET /md/v2/Clients/{exchange}/{portfolio}/trades and the message of the trades subscription.
Fields§
§id: StringThe id of the trade.
orderno: Option<String>The number of the order.
comment: Option<String>The comment of the order (the connector keeps the client order id here).
symbol: StringThe ticker.
exchange: Option<String>MOEX or SPBX.
date: Option<String>The time of the trade, UTC text.
board: Option<String>The trading mode.
qty_units: Option<Decimal>The quantity in pieces.
qty: Option<Decimal>The quantity in lots.
price: DecimalThe price of one piece.
side: Option<String>buy or sell.
commission: Option<Decimal>The commission (empty on the futures market).
existing: Option<bool>true for data from the history, false for new events.
Trait Implementations§
Source§impl Clone for TradeRecord
impl Clone for TradeRecord
Source§fn clone(&self) -> TradeRecord
fn clone(&self) -> TradeRecord
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for TradeRecord
impl Debug for TradeRecord
Source§impl Default for TradeRecord
impl Default for TradeRecord
Source§fn default() -> TradeRecord
fn default() -> TradeRecord
Returns the “default value” for a type. Read more
Source§impl<'de> Deserialize<'de> for TradeRecord
impl<'de> Deserialize<'de> for TradeRecord
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for TradeRecord
impl RefUnwindSafe for TradeRecord
impl Send for TradeRecord
impl Sync for TradeRecord
impl Unpin for TradeRecord
impl UnsafeUnpin for TradeRecord
impl UnwindSafe for TradeRecord
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more